/*
 *  EXAMP07.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example program demonstrates the use of asputs and asiwgetb().
 *  We send an "AT" string to the modem, and wait to get characters back.
 *  The asigetb will get as many characters as possible and return the
 *  length.  The delay after sending the "AT" command is to let the modem
 *  respond.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    int count;
    int status;
    char buffer[81];
    char wide_status[81];

    status = asiopen( COM1, ASINOUT | BINARY | WIDETRACKRX, 100, 100,
                      1200L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    asputs( COM1, "AT\r", -1 );
    timer( TICKS_PER_SECOND );
    count = asiwgetb( COM1, buffer, 81, wide_status );
    buffer[ count ] = '\0';
    printf( "Read in %d characters, buffer=%s\n", count, buffer );
}
