/*
 *  EXAMP11.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example program demonstrates the use of some of the Hayes
 *  Modem Functions.  This routine sets up the modem and calls
 *  the Greenleaf BBS.  Once it gets through, it hangs up by exiting
 *  the program.  DTR should drop upon exit, which will hang up the
 *  modem.  Your modem may not hang up if it has not been configured
 *  to do so.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    int status;
    int ticks;
    int c;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 100, 100,
                      1200L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    HMFixedDelay( TICKS_PER_SECOND );
    HMReset(COM1);
    HMSetDialingMethod( COM1, PULSE );
    HMDial( COM1, "250-3778");
    ticks = TICKS_PER_SECOND*25;
    while ( ticks > 0 ) {
        if ( iscd( COM1, IMMEDIATE ) ) {
            printf("Detected incoming carrier.\n");
            exit( 0 );
        } else {
            while ( ( c = asigetc( COM1 ) ) > ASSUCCESS )
                putc( c, stdout );
            if ( gfkbhit() ) {
                getkey();
                printf( "User aborted\n");
                exit( 1 );
            }
            timer( 1 );
            if (--ticks <= 0 ) {
                printf("Timed out, no carrier.\n");
                exit( 2 );
            }
        }
    }
}
