/*
 *  EXAMP13.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example program demonstrates the use of the glcrc() function.
 *  It computes the CRC of my copy of COMMAND.COM and compares it with
 *  what the known value is.  Note that the CRC value for COMMAND.COM
 *  has to be hardcoded in the first time the program runs.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    FILE *file;
    char buffer[1024];
    unsigned int crc;
    int buffer_size;

    file = fopen( "C:\\COMMAND.COM", "rb" );
    if ( file == NULL ) {
        printf( "Could not open the file\n" );
        exit( 1 );
    }
    crc = 0;
    for ( ; ; ) {
        buffer_size = fread( buffer, 1, 1024, file );
        if ( buffer_size == 0 )
            break;
        crc = glcrc( buffer_size, crc, buffer );
    }
    printf( "CRC for COMMAND.COM is: %04x\n", crc );
    if ( crc == 0x77bb ) {
        printf( "COMMAND.COM is intact\n");
        exit( 0 );
    } else {
        printf( "COMMAND.COM may have been modified\n");
        exit( 1 );
    }
}
