/*
 *  EXAMP17.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example program demonstrates several of the routines that read
 *  in register values from the Hayes Modem.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void my_putc( char c );
void main( void );

void main()
{
    int status;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 100, 100,
                      1200L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    HMWaitForOK( TICKS_PER_SECOND, NULL );
    HMSetUpEchoRoutine( my_putc );
    printf( "Incoming ring count = %d\n", HMGetIncomingRingCount( COM1 ) );
    printf( "UART status         = %d\n", HMGetUARTStatus( COM1 ) );
    printf( "Option register     = %d\n", HMGetOptionRegister( COM1 ) );
    printf( "Flag register       = %d\n", HMGetFlagRegister( COM1 ) );
    printf( "Dialing rate in ms  = %d\n", HMGetRegister( COM1, 11 ) );
}

void my_putc( char c )
{
    putc( c, stdout );
}
