/*
 *  EXAMP18.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example program demonstrates the use of the islstat() function.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    int status;
    int i;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 100, 100,
                      1200L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    for ( i = 0 ; i < 10 ; i ++ ) {
        asiputs( COM1, "Testing for line errors...\r", -1 );
        while ( !istxempty( COM1 ) ) ;
        if ( asilstat( COM1, CUMULATIVE ) &
             (OVERRUN | PARERR | FRAMERR | BREAKDET ) )
            printf( "Detected a line error.\n" );
        else
            printf( "No line errors detected.\n" );
        asilrst( COM1 );
    }
}
