/*
 *  EXAMP20.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example program demonstrates the use of isoverrun().
 *
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    int status;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 100, 100,
                      1200L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    asiputs( COM1, "ATS11?\r", -1 );
    asihold( COM1, ASIN );
    while ( !istxempty( COM1 ) ) ;
    timer( 18 );
    printf( "COM1 overrun flag: %s\n", isoverrun( COM1, CUMULATIVE ) ? "ON" : "OFF" );
    asilrst( COM1 );
    printf( "COM1 overrun flag: %s\n", isoverrun( COM1, CUMULATIVE ) ? "ON" : "OFF" );
}
