/*
 *  EXAMP25.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example program demonstrates the use of istxintrunning() and
 *  isrxintrunning().
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    int status;

    status = asiopen( COM1, ASIN | BINARY | NORMALRX, 100, 100,
                      1200L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    printf( "TX interrupt is %s\n", istxintrunning( COM1 ) ? "ON" : "OFF" );
    printf( "RX interrupt is %s\n", isrxintrunning( COM1 ) ? "ON" : "OFF" );
    asihold( COM1, ASINOUT );
    printf( "TX interrupt is %s\n", istxintrunning( COM1 ) ? "ON" : "OFF" );
    printf( "RX interrupt is %s\n", isrxintrunning( COM1 ) ? "ON" : "OFF" );
    asiresume( COM1, ASINOUT );
    printf( "TX interrupt is %s\n", istxintrunning( COM1 ) ? "ON" : "OFF" );
    printf( "RX interrupt is %s\n", isrxintrunning( COM1 ) ? "ON" : "OFF" );
}
