/*
 *  EXAMP32.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example sends data to a printer that is using RTS/CTS
 *  flow control.  It stops sending data when it detects that
 *  the printer is blocking data.  Note that this is done to demonstrate
 *  the use of isctsblocked(), and is not a very good "real-world" example.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    int status;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 10000, 10000,
                      1200L, P_NONE, 1, 8, OFF, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    asiflow( COM1, 30, 90, ON, ON );
    for ( ; ; ) {
        asiputs( COM1, "Lots of test data\n", -1 );
        if ( isctsblocked( COM1 ) || gfkbhit() )
            break;
   }
   printf( "CTS has gone low, waiting for it to go high again\n" );
   while ( isctsblocked( COM1 ) && !gfkbhit() ) ;
   printf( "CTS looks like it has gone high\n" );
}
