/*
 *  EXAMP33.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example sends data to something, and continues until
 *  it receives either a line error or a modem error.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    int status;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 10000, 10000,
                      1200L, P_NONE, 1, 8, OFF, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    for ( ; ; ) {
        asiputs( COM1, "Lots of test data\n", -1 );
        if ( isalert( COM1 ) || gfkbhit() )
            break;
   }
   printf( "The alert flag has been set.\n");
   printf( "The modem error flag is %s\n", ismodemerr( COM1 ) ? "ON" : "OFF" );
   printf( "The line error flag is %s\n", islinerr( COM1 ) ? "ON" : "OFF" );
}
