/*
 *  EXAMP34.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example sends data to something, and continues until
 *  it notices a modem status change.  It the prints out the changed
 *  status of all four incoming modem lines.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    int status;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 10000, 10000,
                      1200L, P_NONE, 1, 8, OFF, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    for ( ; ; ) {
        asiputs( COM1, "Lots of test data\n", -1 );
        if ( ismodemerr( COM1 ) || gfkbhit() )
            break;
   }
   printf( "The modem error flag has been set.\n");
   printf( "CTS has %schanged\n", ischgcts( COM1, CUMULATIVE ) ? "" : "not " );
   printf( "DSR has %schanged\n", ischgdsr( COM1, CUMULATIVE ) ? "" : "not " );
   printf( "CD has %schanged\n", ischgcd( COM1, CUMULATIVE ) ? "" : "not " );
   printf( "RI has %schanged\n", ischgri( COM1, CUMULATIVE ) ? "" : "not " );
}
