/*
 *  EXAMP36.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example sends a block of data, then checks to see if any of
 *  the control signals have gone low during the block of data.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    int status;
    int i;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 1000, 1000,
                      1200L, P_NONE, 1, 8, OFF, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    asimrst( COM1 );
    for ( i = 0 ; i < 100 ; i++ ) {
        asiputs( COM1, "Lots of test data\n", -1 );
        printf( "Sending block %d\r", i );
        if ( gfkbhit() )
            break;
   }
   printf("\n");
   printf( "CTS has %sdropped low during block\n", isncts( COM1 ) ? "" : "not " );
   printf( "DSR has %sdropped low during block\n", isndsr( COM1 ) ? "" : "not " );
   printf( "CD has %sdropped low during block\n", isncd( COM1 ) ? "" : "not " );
}
