/*
 *  EXAMP41.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example program is used to demonstrate the use of isxmrxing(),
 *  isxmrxcnt() and asixrst().
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    int status;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 1000, 1000,
                      1200L, P_NONE, 1, 8, OFF, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    asixrst( COM1 );
    asiputs( COM1, "ATS11?\r", -1 );
    while ( !istxempty( COM1 )) ;
    timer( TICKS_PER_SECOND );
    printf( "isxmrxing( COM1 ) returns %s\n",
             isxmrxing( COM1 ) ? "TRUE" : "FALSE" );
    printf( "Is cumulative count > 10 returns %s\n",
            isxmrxcnt( COM1, 10 ) ? "TRUE" : "FALSE" );
    while ( !isrxempty( COM1 ) )
        putc( asigetc( COM1 ), stdout );

}

