/*
 *  EXAMP42.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This program is a plain vanilla terminal emulator.  While it is
 *  running, you can stop reading then input buffer by pressing F1.
 *  Characters will then be loaded until you hit another key, at
 *  which point the input buffer is cleared, and emulation restarts.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "xfer.h"
#include "ibmkeys.h"
#include "gf.h"

void hold_then_flush( void );
void main( void );

void main()
{
    int c;
    int status;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 100, 100,
                      1200L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    for ( ; ; ) {
        if ( gfkbhit() ) {
            c = getkey();
            if ( c == ESC )
                exit( 0 );
            else if ( c == F1 )
                hold_then_flush();
            else
                asiputc( COM1, c );
        }
        c = asigetc( COM1 );
        if ( c >= ASSUCCESS )
            putc( c, stdout );
   }
}

void hold_then_flush()
{
    printf("\n");
    while ( !gfkbhit() ) {
        printf( "Incoming character count=%d\r", getrxcnt( COM1 ) );
        timer( 2 );
    }
    getkey();
    printf("\n");
    asiclear( COM1, ASIN );
}
