/*
 *  EXAMP43.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This program is a plain vanilla terminal emulator.  If the baud rate
 *  and settings aren't working, hitting F1 will restore the settings to
 *  where they were before the port was opened.  These might be settings
 *  established by DOS MODE.EXE, or Greenleaf's GMODE.EXE.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "xfer.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    int c;
    int status;
    long baud;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 100, 100,
                      19200L, P_EVEN, 1, 7, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    for ( ; ; ) {
        if ( gfkbhit() ) {
            c = getkey();
            if ( c == ESC )
                exit( 0 );
            else if ( c == F1 ) {
                asireset( COM1 );
                asigetparms( COM1, &baud, NULL, NULL, NULL, NULL, NULL );
                printf( "\nNew baud rate is %ld\n", baud );
                asistart( COM1, ASINOUT );
            }
            else
                asiputc( COM1, c );
        }
        c = asigetc( COM1 );
        if ( c >= ASSUCCESS )
            putc( c, stdout );
   }
}

