/*
 *  EXAMP45.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example program demonstrates the use of the shared interrupt
 *  board calls: asihsel(), ashsetv(), asishare(), and asinvert().
 *  It is set up to use an Arnet 8 port board on IRQ3.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void open_arnet( void );
void main( void );

void main()
{
    int c;

    open_arnet();
    for ( ; ; ) {
        if ( gfkbhit() ) {
            c = getkey();
            if ( c == ESC )
                exit( 0 );
            asiputc( COM1, c );
        }
        c = asigetc( COM1 );
        if ( c >= ASSUCCESS )
            putc( c, stdout );
   }
}


void open_arnet()
{
int port;
int status;

    asihsel(1);
    asishare(0x000ff);
    asinvert(0x00ff);
    for ( port = 0 ; port < 8 ; port++ ) {
        status=asisetv( port, 0x280 + (port * 8 ),IRQ3+8, 0x20, IRQ3, 3, ON,
                        0, 0, 0x2c2 , 1 << port );
        if(status != ASSUCCESS) {
            printf( "Can't setup COM%d:, Status = %d\n",port+1, status );
            exit( 1 );
        }
        status=asiopen( port, ASINOUT | BINARY | NORMALRX, 100, 100,
                        1200L, P_NONE, 1, 8, ON, ON);
        if(status != ASSUCCESS) {
            printf("Can't open COM%d:, Status = %d\n",port+1,status);
            exit( 1 );
        }
        printf("Opened COM%d:\n",port+1);
    }
}

