/*
 *  EXAMP50.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This program sets new End Of Line, Line Feed, and Back Space
 *  characters for the Hayes Modem.  It is unclear why anyone would
 *  do this, but you can.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "xfer.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    int c;
    int status;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 100, 100,
                      1200L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    HMFixedDelay( TICKS_PER_SECOND );
    HMSetBackspaceCharacter( COM1, 7 );
    HMSetLineFeedCharacter( COM1, 'n' );
    HMSetEndOfLineCharacter( COM1, 'r' );
    for ( ; ; ) {
        if ( gfkbhit() ) {
            c = getkey();
            if ( c == ESC )
                break;
            else
                asiputc( COM1, c );
        }
        c = asigetc( COM1 );
        if ( c >= ASSUCCESS )
            putc( c, stdout );
   }
   asiputs( COM1, "ATZr", -1 );
   timer( TICKS_PER_SECOND * 2 );
   while ( !isrxempty( COM1 ) )
       putc( asigetc( COM1 ), stdout );
}


