/*
 *  EXAMP55.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example program demonstrates the use of the
 *  HMSelectExtendedResultCodes() command.  By turning on extended
 *  result codes, the com program can determine the correct baud rate
 *  upon connection.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void my_putc( char c );
void main( void );

void main()
{
    int status;
    int c;
    int ticks;
    char input_line[81];

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 100, 100,
                      2400L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }

    HMWaitForOK( TICKS_PER_SECOND, NULL );
    HMSetUpEchoRoutine( my_putc );
    HMSelectExtendedResultCodes( COM1, ON );
    HMDial( COM1, "228-0847" );
    ticks = TICKS_PER_SECOND*15;
    for ( ; ; ) {
        ticks = HMInputLine( COM1, ticks, input_line, 81 );
        if (strcmp( input_line, "CONNECT 2400" ) == 0 )
            break;
        if (strcmp( input_line, "CONNECT 1200" ) == 0 ) {
            printf( "Switching to 1200 baud!\n" );
            asiinit( COM1, 1200L, P_NONE, 1, 8 );
            break;
        }
        if ( ticks <= 0 ) {
            printf( "Failed to connect!\n" );
            exit( 1 );
        }
    }
    for ( ; ; ) {
        if ( gfkbhit() ) {
            c = getkey();
            if ( c == ESC )
                exit( 0 );
            else
                asiputc( COM1, c );
        }
        c = asigetc( COM1 );
        if ( c >= ASSUCCESS )
            putc( c, stdout );
   }
}

void my_putc( char c )
{
    putc( c, stdout );
}
