/*
 *  EXAMP56.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This program is a plain vanilla terminal emulator.  It demonstrates
 *  the use of the HMRepeatLastCommand() function by executing it whenever
 *  the F1 key is pressed.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "xfer.h"
#include "ibmkeys.h"
#include "gf.h"

void message_guy( char *message );
void main( void );

void main()
{
    int c;
    int status;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 100, 100,
                      1200L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    for ( ; ; ) {
        if ( gfkbhit() ) {
            c = getkey();
            if ( c == ESC )
                exit( 0 );
            else if ( c == F1 )
                HMRepeatLastCommand( COM1 );
            else
                asiputc( COM1, c );
        }
        c = asigetc( COM1 );
        if ( c >= ASSUCCESS )
            putc( c, stdout );
   }
}

void message_guy( char *message )
{
    printf( "%s\n", message );
}

