/*
 *  EXAMP63.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example program demonstrates the use of the HMSendString()
 *  and HMSendStringNoWait() commands.  They are used to do perform
 *  a dialing sequence in a "roll your own" fashion.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void my_putc( char c );
void main( void );

void main()
{
    int status;
    int c;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 100, 100,
                      1200L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }

    HMWaitForOK( TICKS_PER_SECOND, NULL );
    HMSetUpEchoRoutine( my_putc );
    HMSendString( COM1, "ATZ" );
    HMSendString( COM1, "ATE1" );
    HMSendStringNoWait( COM1, "ATDT250-3778", '\r' );
    for ( ; ; ) {
        if ( gfkbhit() ) {
            c = getkey();
            if ( c == ESC )
                exit( 0 );
            else
                asiputc( COM1, c );
        }
        c = asigetc( COM1 );
        if ( c >= ASSUCCESS )
            putc( c, stdout );
   }
}

void my_putc( char c )
{
    putc( c, stdout );
}

