/*
 *  EXAMP66.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This program is a plain vanilla terminal emulator.  It demonstrates
 *  the use of the ASCII receive function by capture data when the
 *  F1 key is pressed.  You can exit the program by pressing the
 *  ESC key.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "xfer.h"
#include "ibmkeys.h"
#include "gf.h"

void my_putc( int c );
void main( void );

void main()
{
    int c;
    int status;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 100, 100,
                      19200L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    for ( ; ; ) {
        if ( gfkbhit() ) {
            c = getkey();
            if ( c == ESC )
                exit( 0 );
            else if ( c == F1 ) {
                printf( "\nCapturing data, press ESC to quit...\n");
                AsciiReceive( COM1, "TEST.ASC", NULL, NULL, my_putc, OFF, 27 );
            }
            else
                asiputc( COM1, c );
        }
        c = asigetc( COM1 );
        if ( c >= ASSUCCESS )
            putc( c, stdout );
   }
}

void my_putc( int c )
{
    putc( c, stdout );
}

