/*
 *  EXAMP71.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This program is a plain vanilla terminal emulator.  You can escape
 *  from it by pressing escape, or upload a file using XMODEM/CRC by
 *  pressing the F1 key.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "xfer.h"
#include "ibmkeys.h"
#include "gf.h"

void message_guy( char *message );
void main( void );

void main()
{
    int c;
    int status;
    char filename[81];

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 1050, 1050,
                      2400L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    for ( ; ; ) {
        if ( gfkbhit() ) {
            c = getkey();
            if ( c == ESC )
                exit( 0 );
            else if ( c == F1 ) {
                printf( "\nWhat file would you like to upload? " );
                scanf( "%80s", filename );
                XmodemCRCSend( COM1, filename, message_guy, NULL, 3 );
            }
            else
                asiputc( COM1, c );
        }
        c = asigetc( COM1 );
        if ( c >= ASSUCCESS )
            putc( c, stdout );
   }
}

void message_guy( char *message )
{
    printf( "%s\n", message );
}

