/*
 *  EXAMP72.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This program is a plain vanilla terminal emulator.  It normally
 *  has XON/XOFF handshaking turned on.  In order to perform and
 *  XMODEM-1K upload, it turns off handshaking, does the upload, then
 *  turns it back on.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "xfer.h"
#include "ibmkeys.h"
#include "gf.h"

void message_guy( char *message );
void main( void );

void main()
{
    int c;
    int status;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 1050, 1050,
                      19200L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    asixon( COM1, 30, 70, XON, XOFF );
    for ( ; ; ) {
        if ( gfkbhit() ) {
            c = getkey();
            if ( c == ESC )
                exit( 0 );
            else if ( c == F1 ) {
                asixoff( COM1 );
                XmodemCRCSend( COM1, "EXAMP72.C", message_guy, NULL, 3 );
                asixon( COM1, 30, 70, XON, XOFF );
            }
            else
                asiputc( COM1, c );
        }
        c = asigetc( COM1 );
        if ( c >= ASSUCCESS )
            putc( c, stdout );
   }
}

void message_guy( char *message )
{
    printf( "%s\n", message );
}

