/*
 *  EXAMP74.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This program is a plain vanilla terminal emulator.  It demonstrates
 *  the ability to send multiple files using Kermit.  This program opens
 *  the port in 7 bit mode, and switches to 8 bits in order to perform
 *  the transfer.  It then switches back to 7 bits.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "xfer.h"
#include "ibmkeys.h"
#include "gf.h"

void message_guy( char *message );
void main( void );

void main()
{
    int c;
    int status;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 1050, 1050,
                      19200L, P_EVEN, 1, 7, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    for ( ; ; ) {
        if ( gfkbhit() ) {
            c = getkey();
            if ( c == ESC )
                exit( 0 );
            else if ( c == F1 ) {
                asiinit( COM1, 19200L, P_NONE, 1, 8 );
                KermitSend( COM1, "EXAMP74.C,EXAMP74.OBJ,EXAMP74.EXE",
                            message_guy, NULL, 3 );
                asiinit( COM1, 19200L, P_EVEN, 1, 7 );
            }
            else
                asiputc( COM1, c );
        }
        c = asigetc( COM1 );
        if ( c >= ASSUCCESS )
            putc( c, stdout );
   }
}

void message_guy( char *message )
{
    printf( "%s\n", message );
}

