/*
 *  EXAMP75.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This program is a plain vanilla terminal emulator.  It normally
 *  has XON/XOFF handshaking turned on.  Pressing the F1 key will
 *  upload a file using an Ascii File Transfer while leaving the
 *  handshaking turned on.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "xfer.h"
#include "ibmkeys.h"
#include "gf.h"

void my_putc( int c );
void main( void );

void main()
{
    int c;
    int status;
    char filename[81];

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 1050, 1050,
                      19200L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    asixon( COM1, 30, 70, XON, XOFF );
    for ( ; ; ) {
        if ( gfkbhit() ) {
            c = getkey();
            if ( c == ESC )
                exit( 0 );
            else if ( c == F1 ) {
                printf( "\nFile to upload? ");
                scanf( "%80s", filename );
                AsciiSend( COM1, filename, NULL, NULL, my_putc, ON, 0, 3 );
            }
            else
                asiputc( COM1, c );
        }
        c = asigetc( COM1 );
        if ( c >= ASSUCCESS )
            putc( c, stdout );
   }
}

void my_putc( int c )
{
    putc( c, stdout );
}
